Omit the id to book new time. A time entry needs a task or an organization, and time that already sits on an invoice can no longer be changed.
apiKeyAuth In: header
application/json
TypeScript Definitions
Use the request body type in TypeScript.
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$uuid^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$uuid0 <= value <= 1440trueapplication/json
application/json
application/json
application/json
application/json
curl -X PUT "https://loading/api/v1/time-tracking/{id}" \ -H "Content-Type: application/json" \ -d '{ "minutes": 1440 }'API key authentication. Create an API key in your user profile and include it in the x-api-key header.
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"userId": "2c4a230c-5085-4924-a3e1-25fb4fc5965b",
"userName": "string",
"taskId": "e6e9d88a-9b63-468a-aec3-b7a11de27af8",
"taskName": "string",
"organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9",
"organizationName": "string",
"serviceId": "8f8bb40f-b96b-40fe-9064-5031fbe483f9",
"serviceName": "string",
"serviceRateCents": -9007199254740991,
"description": "string",
"workDate": "string",
"startedAt": "string",
"endedAt": "string",
"minutes": 9007199254740991,
"isRunning": true,
"billable": true,
"hourlyRateCents": -9007199254740991,
"billedDocumentId": "977fa939-0595-4fab-aea9-68eca4b9774c",
"billedDocumentNumber": "string",
"billedDocumentLineId": "2ccf4be1-df04-4afa-b118-862eb5d16147",
"billedAt": "string",
"isBilled": true,
"createdAt": "string",
"updatedAt": "string"
}"string""string""string""string"